API Reference

Get a deposit by ID

gethttps://api-sandbox.circle.com/v1/businessAccount/deposits/{id}

  • Reference
  • Playground

Returns a deposit by ID.

Path parameters
id
uuid
Required

Universally unique identifier (UUID v4) of a resource.

Query parameters
type
string

Filters results to get only deposits made by this specific type.

walletId
string

The wallet ID to which the deposits were made. If not provided, the default is the main wallet of the account.

Response
RequestChoose a language
ResponseChoose an example
1{
2  "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
3  "sourceWalletId": "9b57048d-2365-4ff5-956b-0199170d1035",
4  "destination": {
5    "type": "wallet",
6    "id": "12345"
7  },
8  "amount": {
9    "amount": "3.14",
10    "currency": "USD"
11  },
12  "fee": {
13    "amount": "3.14",
14    "currency": "USD"
15  },
16  "status": "pending",
17  "riskEvaluation": {
18    "decision": "approved",
19    "reason": "3000"
20  },
21  "customerExternalRef": "EXT01ABSJKDKASJHDS922",
22  "createDate": "2020-04-10T02:13:30.000Z",
23  "updateDate": "2020-04-10T02:13:30.000Z"
24}
Did this page help you?
© 2023-2026 Circle Technology Services, LLC. All rights reserved.